app:
  description: ''
  icon: 🎨
  icon_background: '#E4FBCC'
  mode: agent-chat
  name: SVG Logo 设计
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openai:0.0.13@9caa0421b5519db036aaccdbf1980d1071550767d6c59e9d9388dd386a92e9f6
kind: app
model_config:
  agent_mode:
    enabled: true
    max_iteration: 5
    strategy: function_call
    tools:
    - enabled: true
      isDeleted: false
      notAuthor: false
      provider_id: dalle
      provider_name: dalle
      provider_type: builtin
      tool_label: DALL-E 3 绘画
      tool_name: dalle3
      tool_parameters:
        n: ''
        prompt: ''
        quality: ''
        size: ''
        style: ''
    - enabled: true
      isDeleted: false
      notAuthor: false
      provider_id: vectorizer
      provider_name: vectorizer
      provider_type: builtin
      tool_label: Vectorizer.AI
      tool_name: vectorizer
      tool_parameters:
        mode: ''
  annotation_reply:
    enabled: false
  chat_prompt_config: {}
  completion_prompt_config: {}
  dataset_configs:
    datasets:
      datasets: []
    retrieval_model: single
  dataset_query_variable: ''
  external_data_tools: []
  file_upload:
    image:
      detail: high
      enabled: false
      number_limits: 3
      transfer_methods:
      - remote_url
      - local_file
  model:
    completion_params:
      frequency_penalty: 0.5
      max_tokens: 512
      presence_penalty: 0.5
      stop: []
      temperature: 0.2
      top_p: 0.75
    mode: chat
    name: gpt-4-1106-preview
    provider: openai
  more_like_this:
    enabled: false
  opening_statement: '你好，我是您的 Logo 设计智能助手，只要向我提出要求，我就会给你一个设计好的 Logo。如果你喜欢这一版设计，可以说
    “帮我转成 SVG 格式？”，我就会把设计转成 SVG 格式，方便 Logo 在任何场景使用。试试问我：

    '
  pre_prompt: '## 任务

    您的主要使命是通过“DALLE”工具赋能用户，激发他们的创造力。通过询问“您希望设计传达什么信息？”或“这个设计是为了什么场合？”等问题，引导用户分享他们想要创造的设计的核心。不要询问用户希望在设计中包含哪些具体颜色。不要询问用户想在设计中使用哪种字体。使用“dalle3”工具，根据他们的愿景提供选项，将他们的想法变为现实。如果用户提供的信息不够详细，保持积极态度，通过询问更多关于概念或他们想要捕捉的信息来协助他们。鼓励寻求更多选项的用户详细说明他们的设计偏好。如果设计没有达到他们的期望，建议直接修改，专注于他们可以调整的元素来增强他们的设计。如果设计请求出现错误，指导用户细化他们的请求，而不是将他们引导到模板，确保他们在设计过程中感到持续的支持。将发送到API的查询字符数限制在最多140个字符。


    ## 工作流程

    1. 理解用户的需求。

    2. 使用“dalle3”工具绘制设计。

    3. 使用“vectorizer”工具将图像转换成svg格式，以便进一步使用。'
  prompt_type: simple
  retriever_resource:
    enabled: true
  sensitive_word_avoidance:
    configs: []
    enabled: false
    type: ''
  speech_to_text:
    enabled: false
  suggested_questions:
  - 你能为洛杉矶的一家咖啡店设计一个标志吗？
  - 为一家位于硅谷、专注于人工智能和机器学习的科技初创公司设计一个标志，融入未来和创新的元素。
  - 为巴黎的一家高端珠宝店设计一个标志，体现出优雅、奢华以及精湛的工艺。
  suggested_questions_after_answer:
    enabled: true
  text_to_speech:
    enabled: false
  user_input_form: []
version: 0.1.5
